/* Calendário */
.calendar-container-kart {
    text-align: center;
    width: 100%;
    height: 100%;
}

    .calendar-container-kart .navigation-kart {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }

.calendar-container-kart .navigation-kart span {
    font-size: 1.25rem;
    text-align: left;
    text-transform: capitalize;
    line-height: 1;
}

        .calendar-container-kart .navigation-kart div {
            text-align: right;
            text-transform: capitalize;
        }

.calendar-container-kart .navigation-kart button {
    margin: 0 5px;
    padding: 5px 10px;
    cursor: pointer;
    background: none;
    border: none;
}

    .calendar-container-kart .navigation-kart button img {
        width: 24px;
        height: 24px;
    }

    .calendar-container-kart table {
        width: 100%;
        border-collapse: collapse;
        margin-top: 20px;
    }

    .calendar-container-kart th,
    .calendar-container-kart td {
        padding: 10px;
        text-align: center;
        cursor: pointer;
        font-size: 0.9rem;
    }

    .calendar-container-kart th {
        color: black;
        background-color: transparent;
    }

.selected-day-kart {
    background-color: #E40E18;
    color: white;
    border-radius: 5px;
}

.disabled-day-kart {
    color: #ccc;
    pointer-events: none;
}

.calendar-container-kart td:hover {
    background-color: #E40E18;
    color: white;
    border-radius: 5px;
}

.outside-month-kart {
    color: #ccc;
}

.double-calendar-container {
    display: flex;
    flex-direction: row; 
    width: 100%;
    gap: 5rem; 
    justify-content: space-between;
    height: auto;
}



@media (min-width: 400px) and (max-width: 1024px) {
    /* Calendário */
    .calendar-container-kart {
        transform: scale(0.9);
    }

        .calendar-container-kart .navigation-kart {
            margin-top: 5px;
        }

            .calendar-container-kart .navigation-kart span {
                font-size: 1.56rem;
            }


    .double-calendar-container {
        flex-direction: column;
        gap: 2rem;
    }
}


@media (min-width: 370px) and (max-width: 400px) {
    /* Calendário */
    .calendar-container-kart {
        transform: scale(0.9);
        margin-left: -25px;
        align-content: center;
        justify-content: center;
    }
    .double-calendar-container {
        flex-direction: column;
    }
}


@media (min-width: 350px) and (max-width: 370px) {
    /* Calendário */
    .calendar-container-kart {
        transform: scale(0.8);
        margin-left: -10px;
    }

    .double-calendar-container {
        flex-direction: column;
        gap: 2rem;
    }
}

@media (max-width: 350px) {
    /* Calendário */
    .calendar-container-kart {
        transform: scale(0.6);
        margin-left: -45px;
        margin-bottom: -60px;
        margin-top: -90px;
    }

    .double-calendar-container {
        flex-direction: column;
        gap: 2rem;
    }

}